## GstNetTimePacket GstNetTimePacket |

## Functions

GstNetTimePacket * | gst_net_time_packet_new ()
GstNetTimePacket * | gst_net_time_packet_copy ()
void | gst_net_time_packet_free ()
GstNetTimePacket * | gst_net_time_packet_receive ()
gboolean | gst_net_time_packet_send ()
guint8 * | gst_net_time_packet_serialize ()

## Types and Values

struct | GstNetTimePacket
#define | GST_NET_TIME_PACKET_SIZE

## Includes

    #include <gst/net/gstnet.h>

## Description

## Functions

### gst_net_time_packet_new ()

    GstNetTimePacket *
    gst_net_time_packet_new (const guint8 *buffer);

### gst_net_time_packet_copy ()

    GstNetTimePacket *
    gst_net_time_packet_copy (const GstNetTimePacket *packet);

### gst_net_time_packet_free ()

    void
    gst_net_time_packet_free (GstNetTimePacket *packet);

### gst_net_time_packet_receive ()

    GstNetTimePacket *
    gst_net_time_packet_receive (GSocket *socket,
                                 GSocketAddress **src_address,
                                 GError **error);

### gst_net_time_packet_send ()

    gboolean
    gst_net_time_packet_send (const GstNetTimePacket *packet,
                              GSocket *socket,
                              GSocketAddress *dest_address,
                              GError **error);

### gst_net_time_packet_serialize ()

    guint8 *
    gst_net_time_packet_serialize (const GstNetTimePacket *packet);

## Types and Values

### struct GstNetTimePacket

    struct GstNetTimePacket {
      GstClockTime local_time;
      GstClockTime remote_time;
    };

### GST_NET_TIME_PACKET_SIZE

    #define GST_NET_TIME_PACKET_SIZE 16